body {
    --light: #b7b7b7;

}

body.single-product {



    .dws-product-meta {
        display: flex;
        flex-direction: column;

        padding-top: 25px;
        border-top: 1px solid var(--light);
    }

    .wp-block-woocommerce-product-meta {
        display: none;
    }

    #dws-attr-message {
        padding-bottom: 22px;
    }


    #dws-attr-message::after {
        content: "Każdy młynek jest unikatowy. Zdjęcia mają charakter poglądowy - odcień koloru i rysunek drewna mogą delikatnie różnić się w rzeczywistości. ";
        display: block;
        font-size: 12px;
        max-width: 460px;
    }

    .dws-product-meta__details-general {
        display: grid;
        grid-template-columns: 100px auto;
        margin-bottom: 14px;


        @media (max-width: 1099px) {
            grid-template-rows: 1fr 1fr;
            grid-template-columns: unset;
        }
    }

    .dws-product-meta__details-payment {}

    .dws-product-meta__details-availability {}

    .dws-product-meta__detail-label {
        font-family: "beausite classic";
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: 1;

        @media (max-width: 1099px) {
            margin-bottom: 16px;
        }
    }


    .dws-product-meta__detail-values {
        display: flex;

        flex-wrap: wrap;
    }


    .dws-product-meta__single-detail {
        display: block;
        padding: 0 12px 6px;

        font-family: "beausite classic";
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: 1;
        border-right: 1px solid var(--light);
    }

    .dws-product-meta__single-detail:first-child {
        padding-left: 0;
    }

    .dws-product-meta__single-detail:last-child {
        border-right: 1px solid transparent;
    }

    .woocommerce-variation-availability>.stock {
        display: none;
    }

    h1.wp-block-post-title {
        display: block;
        padding-bottom: 20px;
        border-bottom: 1px solid var(--light);
        font-weight: 500;

    }

    .flex-viewport {
        /* max-height: 360px; */
        border-radius: 25px;
        /* min-height: 400px; */
        height: 540px !important;


        @media (max-width: 767px) {
            height: 450px !important;
        }

        @media (max-width: 575px) {
            height: 380px !important;
        }

    }

    .woocommerce-product-gallery__image {
        width: 100%;
        height: 100%;

        display: block;
        border-radius: 25px;
        overflow: hidden;
        margin-bottom: 20px;

        height: 540px !important;


        @media (max-width: 767px) {
            height: 450px !important;
        }

        @media (max-width: 575px) {
            height: 380px !important;
        }
    }

    .flex-control-nav.flex-control-thumbs {
        --cols: 3;
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        /* grid-template-columns: repeat(var(--cols), calc(100% - ((var(--cols) - 1) * 20px) / var(--cols))); */

        gap: 10px;
        margin-top: 10px !important;
    }

    div.product div.images .flex-control-nav.flex-control-thumbs li {
        width: 100%;
        border-radius: 25px;
        overflow: hidden;

        @media (max-width: 575px) {
            border-radius: 15%;

        }
    }

    .woocommerce-product-gallery__image>a {
        height: 100%;
    }

    .woocommerce-product-gallery__image a img {
        width: 100% !important;
        height: 100% !important;
        object-fit: cover;
    }

    .single_variation_wrap {
        border-top: 1px solid var(--light) !important;
    }

    .woocommerce-variation-add-to-cart {
        padding-top: 15px;
    }

    .woocommerce-variation-add-to-cart .quantity input {
        border-radius: 100px;
        border: 1px solid;
    }

    .price {
        font-size: 24px;
        font-weight: 700;
    }

    .single_variation_wrap .woocommerce-variation-add-to-cart .single_add_to_cart_button {
        transition: 0.25s;
        /* padding: 6px 52px; */
        /* border-radius: 11px; */
    }



    .dws-product-meta__details-addons {}

    .wp-block-woocommerce-add-to-cart-form form.cart.variations_form {
        grid-template-columns: min-content auto 100%;
    }


    .taxonomy-product_cat.wp-block-post-terms a {
        font-size: 20px;
        text-decoration: none;
    }

    .taxonomy-product_cat.wp-block-post-terms a:hover {

        text-decoration: underline;
    }

    #wp--skip-link--target .wp-block-columns.is-layout-flex.wp-block-columns-is-layout-flex {
        @media (max-width: 991px) {
            flex-direction: column;
        }
    }

    .wcvs-tooltip-name {
        display: none;
    }

    .wcvs-tooltip {
        display: none;
    }

    .wcvs-attribute-wrapper {
        max-width: 400px;
    }

    .wcvs-attribute-wrapper ul li:first-of-type,
    .wcvs-attribute-wrapper-radio ul li {
        margin-left: 5px;
        margin-right: 5px;
    }

    #simple-translate {
        display: none;
    }

    .xoo-wl-popup *:not([class*="icon"]):not([class*="fa-"]) {
        font-family: var(--wp--preset--font-family--space-grotesk-light) !important;
    }

    .xoo-wl-action-btn {
        padding-top: 1rem;
        padding-right: 2.25rem;
        padding-bottom: 1rem;
        padding-left: 2.25rem;
        border-radius: 150px;
        background-color: #111;
        border: 0;
        color: #fff;
        font-weight: 600;
        cursor: pointer;
    }

    .single_add_to_cart_button {
        padding-top: 1rem;
        padding-right: 2.25rem;
        padding-bottom: 1rem;
        padding-left: 2.25rem;
        border-radius: 150px;
        background-color: #111;
        border: 0;
        color: #fff;
        font-weight: 600;
        cursor: pointer;
    }

    .wcfad-rule-label {
        font-size: 14px;
        font-style: normal;
        font-weight: 300;
        letter-spacing: -0.1px;
        line-height: 1.4;
    }

    #enquiry {
        display: none;
    }

    .dws-product-meta__contact-label-code {
        font-weight: 600;
    }

    .dws-product-meta__contact-label-break {
        text-decoration: underline;
        font-weight: 600;
    }


    .dws-product-meta__contact-label:hover {
        text-decoration: underline;
        cursor: pointer;
    }

    .dws-product-meta__contact-label-break:hover {
        cursor: auto;
    }

    div.product div.images img {
        border-radius: 25px;
    }

    .woocommerce-product-gallery__image {
        margin-bottom: 0 !important;
    }

    .wpgs-nav .slick-slide {
        border-radius: 25px;
    }

    .wpgs-nav .slick-slide:where(.wp-site-blocks :focus) {
        outline-style: none;
        outline-width: 0;
    }

    #omnibus-price-data {
        margin-bottom: 24px;

        font-size: 24px;
        line-height: 1.4;
        font-weight: 700;

    }
}


body.single-product.product_cat-podstawki {



    #dws-attr-message::after {
        content: "Każda tacka jest unikatowa. Zdjęcia maja charakter poglądowy - odcień i koloru i rysunek drewna mogą delikatnie różnić się w rzeczywistości. ";

    }
}